Bug 843040 - [abrt] mysql-workbench-5.2.40-1.fc17: __GI_raise: Process /usr/bin/mysql-workbench-bin was killed by signal 6 (SIGABRT)
[abrt] mysql-workbench-5.2.40-1.fc17: __GI_raise: Process /usr/bin/mysql-work...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mysql-workbench (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
abrt_hash:1ba16196d1cc72a19996722a193...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 08:00 EDT by Lars Kiesow
Modified: 2012-09-12 08:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-12 08:49:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (24.89 KB, text/plain)
2012-07-25 08:00 EDT, Lars Kiesow
no flags Details
File: dso_list (8.60 KB, text/plain)
2012-07-25 08:00 EDT, Lars Kiesow
no flags Details
File: maps (44.49 KB, text/plain)
2012-07-25 08:00 EDT, Lars Kiesow
no flags Details

  None (edit)
Description Lars Kiesow 2012-07-25 08:00:45 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /bin/mysql-workbench-bin
crash_function: __GI_raise
executable:     /usr/bin/mysql-workbench-bin
kernel:         3.4.6-2.fc17.x86_64
pid:            1478
pwd:            /home/lars
time:           Wed 25 Jul 2012 01:38:24 PM CEST
uid:            1000
username:       lars
var_log_messages: Jul 25 13:38:24 nuriel abrt[1479]: Saved core dump of pid 1478 (/usr/bin/mysql-workbench-bin) to /var/spool/abrt/ccpp-2012-07-25-13:38:24-1478 (5685248 bytes)

backtrace:      Text file, 25489 bytes
dso_list:       Text file, 8806 bytes
maps:           Text file, 45562 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/lars/1

comment:
:Just started mysql-workbench from shell.
:Error message:
:terminate called after throwing an instance of 'Glib::FileError'

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x35925 raise libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x370d8 abort libc.so.6 -
:516204cfc31148538d56b21e2f1b945ed50127d4 0x60bed __gnu_cxx::__verbose_terminate_handler() libstdc++.so.6 -
:516204cfc31148538d56b21e2f1b945ed50127d4 0x5ecf6 - libstdc++.so.6 -
:516204cfc31148538d56b21e2f1b945ed50127d4 0x5ed23 std::terminate() libstdc++.so.6 -
:516204cfc31148538d56b21e2f1b945ed50127d4 0x5ef4e __cxa_throw libstdc++.so.6 -
:f3cd3b4e0a6c31e9af1598f478198ab0f52b6ca9 0x39d8f Glib::FileError::throw_func(_GError*) libglibmm-2.4.so.1 -
:f3cd3b4e0a6c31e9af1598f478198ab0f52b6ca9 0x48332 Glib::Error::throw_exception(_GError*) libglibmm-2.4.so.1 -
:a12904e3aa7e77a54deb00b1ca82f5d3da55cb91 0x298bdf Gtk::Builder::add_from_file(std::string libgtkmm-2.4.so.1 -
:a12904e3aa7e77a54deb00b1ca82f5d3da55cb91 0x298c00 Gtk::Builder::create_from_file(std::string libgtkmm-2.4.so.1 -
:803c23c4ec8c005781fa0a94052d115d98fa8a46 0x3ed2c3 MainForm::MainForm(wb::WBContextUI*) [exe] -
:803c23c4ec8c005781fa0a94052d115d98fa8a46 0x3e2096 Program::Program(wb::WBOptions) [exe] -
:803c23c4ec8c005781fa0a94052d115d98fa8a46 0x3dd6ac main [exe] -

environ:
:LD_PRELOAD=/$LIB/libSegFault.so
:SEGFAULT_OUTPUT_NAME=/tmp/segv_output.ENIP1Q
:SEGFAULT_USE_ALTSTACK=1
:XDG_VTNR=1
:XDG_SESSION_ID=1
:SAL_USE_VCLPLUGIN=gtk
:HOSTNAME=nuriel
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=lxde-
:SHELL=/bin/zsh
:TERM=dumb
:HISTSIZE=1000
:SYSFONT=True
:GNOME_KEYRING_CONTROL=/home/lars/.cache/keyring-gFwqGR
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=lars
:LS_COLORS=
:LD_LIBRARY_PATH=//lib64/mysql-workbench
:MAIL=/var/spool/mail/lars
:PATH=/usr/lib64/ccache:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/lars/bin://share/mysql-workbench/python
:DESKTOP_SESSION=LXDE
:QT_IM_MODULE=xim
:PWD=/home/lars
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=744
:MWB_PLUGIN_DIR=//lib64/mysql-workbench/plugins
:'MYSQL_UTILITIES_COMMANDS=mysqlmetagrep mysqlserverinfo mysqlrplcheck mysqlrpladmin mysqlfailover mysqlprocgrep mysqldbexport mysqldiskusage mysqldiff mysqldbcopy mysqlreplicate mysqldbcompare mysqluserclone mysqlserverclone mysqldbimport mysqlindexcheck mysqlrplshow'
:MWB_DATA_DIR=//share/mysql-workbench
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:KEYTABLE=de-latin1-nodeadkeys
:_LXSESSION_PID=811
:SHLVL=2
:HOME=/home/lars
:XDG_SEAT=seat0
:XDG_CONFIG_HOME=/home/lars/.config
:BOOT_IMAGE=/boot/vmlinuz-3.4.6-2.fc17.x86_64
:DBC_DRIVER_PATH=//lib64/mysql-workbench
:LOGNAME=lars
:PYTHONPATH=//share/mysql-workbench/python
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-GRqQmFz2At,guid=042e59588e77f7376bf1b0630000003c
:MWB_MODULE_DIR=//lib64/mysql-workbench/modules
:MWB_LIBRARY_DIR=//share/mysql-workbench/libraries
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:PREFERRED=/usr/bin/startlxde
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/lars
:GTK_IM_MODULE=gtk-im-context-simple
:XDG_CURRENT_DESKTOP=LXDE
:CCACHE_HASHDIR=
:XAUTHORITY=/home/lars/.Xauthority
:_=/bin/mysql-workbench-bin

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62467                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62467                62467                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/var/log/lxdm.log
:pos:	1677
:flags:	0102001
:2:/home/lars/.xsession-errors
:pos:	759
:flags:	0100001
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[22190]
:pos:	0
:flags:	02000000
:5:pipe:[22190]
:pos:	0
:flags:	02000001
:6:socket:[22191]
:pos:	0
:flags:	02004002
Comment 1 Lars Kiesow 2012-07-25 08:00:53 EDT
Created attachment 600281 [details]
File: backtrace
Comment 2 Lars Kiesow 2012-07-25 08:00:55 EDT
Created attachment 600282 [details]
File: dso_list
Comment 3 Lars Kiesow 2012-07-25 08:00:58 EDT
Created attachment 600283 [details]
File: maps
Comment 4 Remi Collet 2012-09-12 08:49:39 EDT
mysql-workbench-5.2.42-2 has been pushed to the Fedora stable repository.

Note You need to log in before you can comment on or make changes to this bug.